# Sourcecode for a skirt with blinking LEDs

## Hardware
* Arduino Uno or Arduino Nano
* 6 Strips of 15 WS2812 or equivalent 
* rotary encoder
* MPU6050 inertial measuring unit
* three colored LEDs
* 220Ohm resistor
* 100µF 50V capacitor

## Wiring
| Arduino Pin | Destination device  | Destination Pin |
|-------------|---------------------|-----------------|
| A2          | rotary encoder      | CLK             |
| A3          | rotary encoder      | DT              |
| A4          | MPU6050             | SDA             |
| A5          | MPU6050             | SCL             |
| D2          | rotary encoder      | SWn             |
| D3          | led yellow          | positive        |
| D4          | led blue            | positive        |
| D5          | led red             | positive        |
| D6          | 1st strip of WS2812 | Din             |
| D7          | 2nd strip of WS2812 | Din             |
| D8          | 3rd strip of WS2812 | Din             |
| D9          | 4th strip of WS2812 | Din             |
| D10         | 5th strip of WS2812 | Din             |
| D11         | 6th strip of WS2812 | Din             |
